Package com.arms.api.jira.jiraserver.model.enums

## Enum TextFormattingType

- java.lang.Object
- - java.lang.Enum<TextFormattingType>
  - - com.arms.api.jira.jiraserver.model.enums.TextFormattingType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TextFormattingType>`

      public enum TextFormattingType
      extends java.lang.Enum<TextFormattingType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTML` |
    `MARKDOWN` |
    `TEXT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextFormattingType` | `fromString​(java.lang.String type)` |
    `java.lang.String` | `getType()` |
    `static TextFormattingType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TextFormattingType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final TextFormattingType TEXT

    - #### HTML

          public static final TextFormattingType HTML

    - #### MARKDOWN

          public static final TextFormattingType MARKDOWN

  - ### Method Detail

    - #### values

          public static TextFormattingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextFormattingType c : TextFormattingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextFormattingType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()

    - #### fromString

          public static TextFormattingType fromString​(java.lang.String type)